gtkmm: Gtk::Orientable Class Reference

gtkmm 3.22.2

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::Orientable Class Reference

This interface is implemented by all widgets that can be oriented horizontally or vertically. More...

`#include <gtkmm/orientable.h>`

Inheritance diagram for Gtk::Orientable:
[legend]

## Public Member Functions
| Orientable (Orientable&& src) noexcept
Orientable& | operator= (Orientable&& src) noexcept
| ~Orientable () noexcept override
GtkOrientable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkOrientable* | gobj () const
| Provides access to the underlying C GObject. More...
void | set_orientation (Orientation orientation)
| Sets the orientation of the orientable. More...
Orientation | get_orientation () const
| Retrieves the orientation of the orientable. More...
Glib::PropertyProxy< Orientation > | property_orientation ()
| The orientation of the orientable. More...
Glib::PropertyProxy_ReadOnly< Orientation > | property_orientation () const
| The orientation of the orientable. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Orientable ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Orientable > | wrap (GtkOrientable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

This interface is implemented by all widgets that can be oriented horizontally or vertically.

Historically, such widgets have been realized as subclasses of a common base class (e.g GtkBox/GtkHBox/GtkVBox and GtkScale/GtkHScale/GtkVScale). GtkOrientable is more flexible in that it allows the orientation to be changed at runtime, allowing the widgets to 'flip'.

Since gtkmm 2.16:

## Constructor & Destructor Documentation

## ◆ Orientable() [1/2]

Gtk::Orientable::Orientable | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ Orientable() [2/2]

Gtk::Orientable::Orientable | ( | Orientable&& | src | ) |
| noexcept

## ◆ ~Orientable()

Gtk::Orientable::~Orientable | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gtk::Orientable::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_orientation()

Orientation Gtk::Orientable::get_orientation | ( |  | ) | const

Retrieves the orientation of the orientable.

Since gtkmm 2.16:

Returns
  The orientation of the orientable.

## ◆ get_type()

static GType Gtk::Orientable::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkOrientable* Gtk::Orientable::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkOrientable* Gtk::Orientable::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

Orientable& Gtk::Orientable::operator= | ( | Orientable&& | src | ) |
| noexcept

## ◆ property_orientation() [1/2]

Glib::PropertyProxy< Orientation > Gtk::Orientable::property_orientation | ( |  | ) |

The orientation of the orientable.

Since gtkmm 2.16:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_orientation() [2/2]

Glib::PropertyProxy_ReadOnly< Orientation > Gtk::Orientable::property_orientation | ( |  | ) | const

The orientation of the orientable.

Since gtkmm 2.16:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_orientation()

void Gtk::Orientable::set_orientation | ( | Orientation | orientation | ) |

Sets the orientation of the orientable.

Since gtkmm 2.16:

Parameters

  orientation | The orientable’s new orientation.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::Orientable > wrap | ( | GtkOrientable * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.